/**
 * file:    Critical.java
 *
 * classes: class Critical
 *
 * purpose: - a 'critical'-object is used to synchronize multithreaded applications 
 *
 * date:    05/16/97  last change: 05/16/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */

package observer.generic;

import java.util.*;

public class Critical {

    private Hashtable threads = new Hashtable();
    private int max;
    private int current = 0;

    public Critical(int m) {
        
        max = m;
        
    }
    
    public synchronized void enter() {

        int i;
        
        if(!threads.containsKey(Thread.currentThread())) {
            try {
                while(current >= max)
                    wait();
            }
            catch(InterruptedException e) {
                return;
            }

            current++;
            
            threads.put(Thread.currentThread(), new Integer(1));
        } else {
            i = ((Integer)threads.get(Thread.currentThread())).intValue() + 1;
            threads.remove(Thread.currentThread());
            threads.put(Thread.currentThread(), new Integer(i));
        }
    }
    
    public synchronized void leave() {

        int i;
        
        if(!threads.containsKey(Thread.currentThread()))
            return;
            
        if((i = ((Integer)threads.get(Thread.currentThread())).intValue()) == 1) {
            current --;
            notify();
            threads.remove(Thread.currentThread());
        } else {
            threads.remove(Thread.currentThread());
            threads.put(Thread.currentThread(), new Integer(i - 1));
        }
        
    }

}
