/**
 * file:    ApplicationClientStorage.java
 *
 * classes: class ApplicationClientStorage
 *
 * purpose: - a class for storing application specific information about a client
 *
 * date:    05/09/97  last change: 05/03/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */


package observer.main;

import java.io.*;
import java.rmi.*;
import java.util.*;

import observer.generic.*;

/**
 * class ApplicationClientStorage
 *
 */
public class ApplicationClientStorage extends ObserverStorage {
    
    protected boolean isAccepted = false;
    
    public ApplicationClientStorage(String a, ObserverInterface o) {
    
        super(a, o);
    
    }

    public void accept() {

        isAccepted = true;
    
    }

    public boolean isAccepted() {
    
        return isAccepted;
    
    }

}
