/**
 * file:    ApplicationServerInterface.java
 *
 * classes: interface ApplicationServerInterface
 *
 * purpose: - implementations of this interface are application specific servers
 *
 * date:    05/09/97  last change: 05/03/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */


package observer.main;

import java.rmi.*;
import java.util.*;

import observer.generic.*;

/**
 * interface ApplicationServerInterface
 *
 */
public interface ApplicationServerInterface extends SubjectInterface {

    /*
     * init - method as replacement for a constructor. This is necessary because we need a no-arg constructor
     */
    void init(MainServerInterface mS, String sN, String cCN, Vector o) throws RemoteException;
        
    void start() throws RemoteException;
    
    void destroy() throws RemoteException;
    
    void accept(ApplicationClientInterface aC) throws RemoteException;
    
    /*
     * getSessionName() - returns the session name of this session
     */
    String getSessionName() throws RemoteException;
    /*
     * getInformation() - returns specific information about this subject
     */
    String getInformation() throws RemoteException;

}
