/**
 * file:    FramedPanel.java
 *
 * classes: class FramedPanel
 *
 * purpose: - a panel with a frame
 *
 * date:    05/03/97  last change: 05/03/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */

package observer.main;

import java.awt.*;

public class FramedPanel extends Panel {

    public static final int NOFRAME  = 0x0000;
    public static final int FRAMEOUT = 0x0001;
    public static final int FRAMEIN  = 0x0002;
    
    private int style;
    
    public FramedPanel(int s) {
    
        super();
        
        style = s;
        setBackground(Color.lightGray);
        
    }
    
    public Insets getInsets() {
        return new Insets(4,4,5,5);
    }

    public void paint(Graphics g) {

        Dimension d = getSize();
        Color bg = getBackground();

        g.setColor(bg);
        switch(style)
        {
            case FRAMEOUT:
                g.draw3DRect(0, 0, d.width - 1, d.height - 1, true);
                break;
                
            case FRAMEIN:
                g.draw3DRect(0, 0, d.width - 1, d.height - 1, false);
                break;
                
        }
            
    }
}