/**
 * file:    MainClientInterface.java
 *
 * classes: interface MainClientInterface
 *
 * purpose: - implementations of this interface interact with the MainServerInterface
 *
 * date:    05/09/97  last change: 05/03/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */


package observer.main;

import java.rmi.*;

import observer.generic.*;

/**
 * interface MainClientInterface
 *
 */
public interface MainClientInterface extends ObserverInterface {
    
    ApplicationClientInterface startClient(ApplicationServerInterface aS, String clientClassName) throws RemoteException;
    
    void destroyClient(ApplicationClientInterface aC, boolean logout) throws RemoteException;

    void sessionCreated(String sessionName) throws RemoteException;
    
    void sessionDestroyed(String sessionName) throws RemoteException;
    
}
