/**
 * file:    MessageBox.java
 *
 * classes: class InputFrame
 *
 * purpose: - an input frame
 *
 * date:    05/16/97  last change: 05/16/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */

package observer.main;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class MessageBox extends CenteredFrame implements ActionListener {
    
    protected FramedPanel mainPanel;
    protected Label messageLabel;

    protected FramedPanel buttonPanel;
    protected Button okButton;
    
    public MessageBox(String title, String mL) {
        
        super(title);

        mainPanel = new FramedPanel(FramedPanel.NOFRAME);
        messageLabel = new Label(mL);

        buttonPanel = new FramedPanel(FramedPanel.FRAMEIN);
        okButton = new Button("Ok");
        
        GridBagLayout gbl = new GridBagLayout();
        GridBagConstraints gbc = new GridBagConstraints();
        Insets insets = new Insets(0, 0, 0, 0);

        mainPanel.setLayout(gbl);

        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.gridwidth = 1;
        gbc.fill = GridBagConstraints.BOTH;
        gbc.weightx = 1;
        gbc.weighty = 1;
        gbl.setConstraints(messageLabel, gbc);    
                
        buttonPanel.setLayout(new GridLayout(1, 0));
        buttonPanel.add(okButton);
        
        gbc.gridx = 0;
        gbc.gridy = GridBagConstraints.RELATIVE;
        gbc.gridwidth = 0;
        gbc.weightx = 1;
        gbc.weighty = 0;
        insets.top = 10;
        gbc.insets = insets;
        gbl.setConstraints(buttonPanel, gbc);
        
        mainPanel.add(messageLabel);
        mainPanel.add(buttonPanel);
    
        addWindowListener(this);
        okButton.addActionListener(this);
        
        setLayout(new GridLayout(0, 1));
        add(mainPanel);
        
        pack();
    
    }
        
    public void windowClosing(WindowEvent e) {
        
        dispose();
        
    }
    
    public void actionPerformed(ActionEvent e) {
        
        dispose();

    }
}
