/**
 * file:    UserMismatchException.java
 *
 * classes: class UserMismatchException
 *
 * purpose: - defines an 'Exception'-type for the 'Subject'-class
 *
 * date:    05/03/97  last change: 05/03/97 18:00
 *
 * author:  Normen Seemann
 *
 * version: 1.00
 *
 */


package observer.main;

import java.rmi.*;

import observer.generic.*;


/**
 * UserMismatchException
 */
public class UserMismatchException extends Exception {

    private int min, max;
    
    public UserMismatchException(int min, int max) {

    	super("Too few or too many users.");
    	
    	this.min = min;
    	this.max = max;

    }
    
    public int getMin() {

        return min;
        
    }

    public int getMax() {

        return max;
        
    }

}
